VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ObjCClassBuilder Struct Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
ObjCClassBuilder & | init (const char *name, Class baseClass)
template<typename Func >
ObjCClassBuilder & | addMethod (SEL selector, Func imp)
template<typename T >
ObjCClassBuilder & | addIvar (const char *name)
ObjCClassBuilder & | addProtocol (const char *name)
ObjCClassBuilder & | addProtocol (Protocol *proto)
Class | finalize ()

## Member Function Documentation

ObjCClassBuilder & init | ( | const char * | name,
|  | Class | baseClass
| ) |  |
| inline

ObjCClassBuilder & addMethod | ( | SEL | selector,
|  | Func | imp
| ) |  |

ObjCClassBuilder & addIvar | ( | const char * | name | ) |
| inline

ObjCClassBuilder & addProtocol | ( | const char * | name | ) |
| inline

ObjCClassBuilder & addProtocol | ( | Protocol * | proto | ) |
| inline

Class finalize | ( |  | ) |
| inline

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.